/*dropzone*/
.dropzone {
    border: 1px dashed #ccc !important;
}

.dropzone.dz-drag-hover {
    background-color: rgba(0, 0, 0, 0.02);
}

.dropzone .dz-image {
    background: #eee;
    border-radius: 2px !important;
}

.dz-started {
    padding: 0 !important;
}

.upload-thumbnail-sm {
    height: 80px;
    width: 80px;
    border: none !important;
    background: url('../images/filepreview.jpg') #eee no-repeat center center;
    outline: none;
}

.upload-progress-sm {
    height: 80px;
    width: 80px;
    height: 10px;
    border-radius: 0px;
}

#pre-loader {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: #e5e9ec;
    z-index: 10;
}

/*post dropzone*/
.post-dropzone {
    background: #fff;
    border-radius: 5px;
}

.post-dropzone.dz-drag-hover {
    border: 1px dashed #337ab7;
}

.post-dropzone.dz-drag-hover * {
    opacity: 0.2;
}

.post-dropzone .preview:hover img {
    opacity: 0.2;
}

.post-dropzone .delete {
    width: 24px;
    height: 33px;
    margin-left: -27px;
    font-size: 25px;
    cursor: pointer;
    color: #fff;
    position: relative;
    opacity: 0.8;
    display: inline-block;
    margin-top: -23px;
    text-align: center;
    line-height: 31px;
}

.post-dropzone .preview:hover img {
    opacity: 0.5;
}

.post-dropzone .preview:hover .delete {
    opacity: 1;
    background-color: #000;
}

/*loader*/
.circle-loader {
    margin: 10px auto;
    width: 80px;
    height: 80px;
    border-radius: 40px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border: solid 2px rgba(220, 230, 235, 0.5);
    border-top-color: #6690F4;
    animation: spin 1s infinite linear;
    -webkit-animation: spin 1s infinite linear;
}

.app-loader {
    width: 90px;
    height: 90px;
    margin: 30px auto;
    position: absolute;
    bottom: 45px;
    right: 5px;
    padding: 10px;
    border-radius: 50%;
    background: transparent;
}

.app-loader .loading {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border: solid 2px #6690F4;
    border-top-color: #fff;
    animation: spin 1s infinite linear;
    -webkit-animation: spin 1s infinite linear;
    display: inline-block;
}

.table-loader .loading {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border: solid 2px #6690F4;
    border-top-color: #fff;
    animation: spin 1s infinite linear;
    -webkit-animation: spin 1s infinite linear;
    display: inline-block;
}

#pre-loader .app-loader {
    bottom: 45%;
    right: 56%;
}

.ani-width {
    transition: width 50ms;
}

.ani-rotate-180:hover {
    transform: rotate(180deg);
    transition: all 300ms ease-out 0ms;
}

.inline-loader {
    width: 20px;
    height: 20px;
    border-radius: 50% !important;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border: solid 2px #6690F4 !important;
    border-top-color: #fff !important;
    animation: spin 1s infinite linear;
    -webkit-animation: spin 1s infinite linear;
    display: inline-block;
    padding: 0 !important;
    align-self: center;
}

.inline-loader:hover {
    background-color: #fff !important;
}

.loader-container.inline-loader {
    width: 20px !important;
    height: 20px !important;
    display: block;
    margin: 0 auto;
}

.loader-container.inline-loader:hover {
    background-color: #fff !important;
}

/*modal mask*/
.modal-mask {
    position: relative;
    top: 0;
    left: 0;
    background-color: #fff;
}

.circle-done {
    margin: 10px auto;
    width: 80px;
    height: 80px;
    border-radius: 40px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border: solid 5px rgba(220, 230, 235, 0.5);
    text-align: center;
    font-size: 30px;
    padding: 10px;
    color: #6690F4;
}

.circle-done i {
    display: inline-block;
    max-width: 0%;
    overflow: hidden;
}

.circle-done.ok svg {
    height: 40px;
    width: 40px;
    margin-top: 0;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}


.has-error .help-block, .has-error .control-label, .has-error .radio, .has-error .checkbox, .has-error .radio-inline, .has-error .checkbox-inline, .has-error.radio label, .has-error.checkbox label, .has-error.radio-inline label, .has-error.checkbox-inline label {
    box-shadow: none;
    color: #ec5855;
    display: block;
    margin-top: 5px;
    margin-bottom: 10px;
}


.btn-default {
    background-color: #fff;
    border: 1px solid #f2f4f6;
    color: #595959;
}

.btn-default:hover {
    background-color: #E6E6E6;
    border-color: #E6E6E6;
}

.btn-default:active, .btn-default:focus {
    border-color: #E6E6E6;
}

.btn-primary {
    border-color: #6690F4;
    background-color: #6690F4;
}

.btn-primary:hover, .btn-primary:focus, .btn-primary:active {
    background-color: #4076f2;
    border-color: #4076f2;
    color: #fff;
}

.datatable-tools {
    margin-top: 10px !important;
}


/*margin, padding, height and width*/
.m0 {
    margin: 0 !important;
}

.m5 {
    margin: 5px !important;
}

.mt5 {
    margin-top: 5px;
}

.margin-top-5 {
    margin-top: -5px;
}

.mt-50 {
    margin-top: -50px !important;
}

.m10 {
    margin: 10px;
}

.m15 {
    margin: 15px;
}

.m20 {
    margin: 20px;
}

.ml15 {
    margin-left: 15px !important;
}

.ml-20 {
    margin-left: -20px;
}

.mt8 {
    margin-top: 8px !important;
}

.mt10 {
    margin-top: 10px !important;
}

.mt15 {
    margin-top: 15px;
}

.mt20 {
    margin-top: 20px;
}

.mt25 {
    margin-top: 25px;
}

.mr15 {
    margin-right: 15px !important;
}

.mb15 {
    margin-bottom: 15px;
}

.mb20 {
    margin-bottom: 20px;
}

.ml10 {
    margin-left: 10px !important;
}

.mr10 {
    margin-right: 10px;
}

.mb0 {
    margin-bottom: 0 !important;
}

.mt50 {
    margin-top: 50px !important;
}

.mt0 {
    margin-top: 0 !important;
}

.p0 {
    padding: 0 !important;
}

.p5 {
    padding: 5px;
}

.p10 {
    padding: 10px;
}

.p15 {
    padding: 15px;
}

.p20 {
    padding: 20px !important;
}

.p30 {
    padding: 30px !important;
}

.pb5 {
    padding-bottom: 5px;
}

.pb0 {
    padding-bottom: 0 !important;
}

.pb10 {
    padding-bottom: 10px;
}

.pb15 {
    padding-bottom: 15px;
}

.pb20 {
    padding-bottom: 20px;
}

.pb50 {
    padding-bottom: 50px;
}

.pl10 {
    padding-left: 10px;
}

.pl15 {
    padding-left: 15px !important;
}

.pr10 {
    padding-right: 10px;
}

.pr15 {
    padding-right: 15px !important;
}

.pt10 {
    padding-top: 10px !important;
}

.pt5 {
    padding-top: 5px !important;
}

.pt0 {
    padding-top: 0px !important;
}

.pl0 {
    padding-left: 0 !important;
}

.pr0 {
    padding-right: 0 !important;
}

.mr0 {
    margin-right: 0 !important;
}

.w25 {
    width: 25px;
}

.w50 {
    width: 50px;
}

.w80 {
    width: 80px;
}

.w100 {
    width: 100px;
}

.w125 {
    width: 125px;
}

.w150 {
    width: 150px;
}

.w175 {
    width: 175px;
}

.w200 {
    width: 200px;
}

.w250 {
    width: 250px;
}

.w300 {
    width: 300px;
}

.w400 {
    width: 400px;
}

.min-w150 {
    min-width: 150px;
}

.w5p {
    width: 5%;
}

.w10p {
    width: 10%;
}

.w15p {
    width: 15%;
}

.w20p {
    width: 20%;
}

.w25p {
    width: 25%;
}

.w30p {
    width: 30%;
}

.w50p {
    width: 50%;
}

.w60p {
    width: 60%;
}

.w70p {
    width: 70%;
}

.w80p {
    width: 80%;
}

.w90p {
    width: 90%;
}

.w100p {
    width: 100% !important;
}

.max-w500 {
    max-width: 500px;
}

.h100p {
    height: 100%;
}

.mb5 {
    margin-bottom: 5px;
}

.p3 {
    padding: 3px;
}

.ml20 {
    margin-left: 20px !important;
}

.h370 {
    height: 370px !important;
}

.pr5 {
    padding-right: 5px;
}

.ml298 {
    margin-left: 298px;
}

.mr5 {
    margin-right: 5px;
}

.w70 {
    width: 70px;
}

.ml30 {
    margin-left: 30px;
}

.pt15 {
    padding-top: 15px;
}

.w75p {
    width: 75%;
}

.ml5 {
    margin-left: 5px;
}

.pl5 {
    padding-left: 5px;
}

.w50 {
    width: 50px;
}

.w85 {
    width: 85px;
}

.mb30 {
    margin-bottom: 30px;
}

.mw100p {
    max-width: 100%;
}

.ml2 {
    margin-left: 2px;
}

.mb10 {
    margin-bottom: 10px !important;
}

.mb8 {
    margin-bottom: 8px !important;
}

.w35p {
    width: 35%;
}

.ml35 {
    margin-left: 35px;
}

.pb100 {
    padding-bottom: 100px;
}

.w35 {
    width: 35px;
}

.w35p {
    width: 35%;
}

.h7 {
    height: 7px !important;
}

.w40p {
    width: 40%;
}

.h373 {
    height: 373px !important;
}

.pl30 {
    padding-left: 30px !important;
}

.pt30 {
    padding-top: 30px !important;
}

.wh10 {
    height: 10px !important;
    width: 10px !important;
}

.pt35 {
    padding-top: 35px !important;
}

.w140 {
    width: 140px;
}

.w-filter-right {
    width: calc(100% - 140px);
}


.float-start {
    float: left !important;
}


/*datatable*/
table.dataTable {
    border-collapse: collapse;
    box-sizing: border-box;
}

.dataTable td:hover {
    background: #f2f4f6;
}

.dataTable tbody tr:hover td {
    background: #f2f4f6 !important;
}

.dataTable.no-hover tr:hover td, .dataTable.no-hover tbody tr:hover {
    background: transparent !important;
}

.dataTable tbody tr {
    border-color: #eef6f9 !important;
    color: #4e5e6a;
}

.dataTable tbody tr.active td, .dataTable tbody tr.active:hover td {
    background: #6690F4 !important;
    color: #fff !important;
    cursor: default;
}

.dataTable tbody tr.active .badge {
    color: #00b393;
    background-color: #fff !important;
}

.dataTable tbody tr.active a.link {
    color: #fff;
}

.dataTable tbody tr:hover td {
    background: #f2f4f6;
}

table.dataTable thead th {
    border-top: 1px solid #f2f2f2;
    padding: 13px 10px !important;
}

table.dataTable thead td {
    border: 1px solid #f2f2f2;
    padding: 10px;
}

table.dataTable thead .sorting_desc {
    background-image: url(../images/sort_desc.png);
}

table.dataTable thead .sorting_asc {
    background-image: url(../images/sort_asc.png);
}

table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
    background-color: #fff;
}

table.dataTable.row-border tbody th, table.dataTable.row-border tbody td {
    border: 1px solid #f2f2f2;
}

table.dataTable.display tbody th, table.dataTable.display tbody td {
    border-top: 1px solid #f2f2f2;
}

table.dataTable.display tfoot th, table.dataTable.display tfoot td {
    border-top: 1px solid #f2f2f2;
}

table.dataTable.no-footer {
    border-bottom: 1px solid #f2f2f2;
}

table.dataTable.b-b-only tbody th, table.dataTable.b-b-only tbody td {
    border: none;
    border-bottom: 1px solid #f2f2f2;
}

table.dataTable tbody th, table.dataTable tbody td {
    padding: 12px 10px !important;
}

table.dataTable > tbody > tr.child ul.dtr-details > li {
    border-color: #f2f2f2;
}

table.dataTable > thead .sorting:before, table.dataTable > thead .sorting_asc:before, table.dataTable > thead .sorting_desc:before, table.dataTable > thead .sorting_asc_disabled:before, table.dataTable > thead .sorting_desc_disabled:before, table.dataTable > thead .sorting:after, table.dataTable > thead .sorting_asc:after, table.dataTable > thead .sorting_desc:after, table.dataTable > thead .sorting_asc_disabled:after, table.dataTable > thead .sorting_desc_disabled:after {
    top: 15px;
}

table.dataTable thead .sorting, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc, table.dataTable thead .sorting_asc_disabled, table.dataTable thead .sorting_desc_disabled {
    background-repeat: no-repeat;
    background-position: center right;
}

table.dataTable > thead .sorting:before, table.dataTable > thead .sorting_asc:before, table.dataTable > thead .sorting_desc:before, table.dataTable > thead .sorting_asc_disabled:before, table.dataTable > thead .sorting_desc_disabled:before, table.dataTable > thead .sorting:after, table.dataTable > thead .sorting_asc:after, table.dataTable > thead .sorting_desc:after, table.dataTable > thead .sorting_asc_disabled:after, table.dataTable > thead .sorting_desc_disabled:after {
    content: "";
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before, table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control:before {
    line-height: 16px;
}

.datatable-tools .dataTables_length {
    float: left;
}

.datatable-tools:last-child {
    margin: 15px 0 !important;
}

.datatable-tools input[type="radio"], .datatable-tools input[type="checkbox"] {
    position: absolute;
    clip: rect(0, 0, 0, 0);
    pointer-events: none;
}

.datatable-export a {
    display: inline-block;
    box-shadow: none !important;
    border: 1px solid #e2e4e7;
    font-size: 14px;
    margin: 0 -2px;
    padding: 6px 10px;
    color: #4e5e6a;
}

.datatable-export a:hover {
    background: #f2f2f2;
}

table.dataTable tfoot th, table.dataTable tfoot td {
    padding: 10px;
}

button.DTTT_button, div.DTTT_button {
    background: #fff;
    border-color: #e2e7f1 !important;
    text-decoration: none;
}

a.DTTT_button {
    background: #fff;
    border-color: #e2e7f1 !important;
    text-decoration: none;
}

a.DTTT_button:focus {
    background: #fff;
    border-color: #e2e7f1 !important;
    text-decoration: none;
}

a.DTTT_button:hover {
    background: #f2f2f2;
}

div.DTTT_container {
    margin-bottom: 15px;
    position: relative;
    float: right;
}

table.dataTable thead .sorting {
    background-image: none;
}

.dataTables_filter {
    margin: 0 0px 5px 10px;
    float: right;
}

.dataTables_filter input {
    border-radius: 2px;
    border: 1px solid #e2e7f1;
    box-shadow: none;
    padding: 7px 10px;
    outline: none;
    font-weight: normal;
    background: url("../images/search.png") no-repeat 96% 45% #fff;
    width: 200px !important;
    transition: all 0.5s;
    height: 32px;
}

.datatable-search, .custom-filter-search {
    border-radius: 2px;
    border: 1px solid #e2e7f1;
    box-shadow: none;
    padding: 7px 10px;
    outline: none;
    font-weight: normal;
    background: url("../images/search.png") no-repeat 96% 45% #fff;
    width: 200px !important;
    transition: all 0.5s;
    height: 32px;
}

.dataTables_filter input:focus, .datatable-search:focus, .custom-filter-search:focus {
    border-color: #ebeff2;
    background-color: #ebeff2;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    background: #fff !important;
    margin: 0 0 0 -1px;
    border: 1px solid #f2f2f2 !important;
    border-radius: 2px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button a {
    border: none;
    border-right: 1px solid #f2f2f2 !important;
    color: #000 !important;
    padding: 0.5em 1em;
}

.dataTables_wrapper .dataTables_paginate .paginate_button :last-child a {
    border-right: none;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover, .dataTables_wrapper .dataTables_paginate .paginate_button:focus {
    background: #f2f4f6 !important;
    border: 1px solid #e2e7f1 !important;
    color: #414244 !important;
    outline: none;
    box-shadow: none;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.active a {
    background: #f1f1f5 !important;
    color: #000 !important;
    border-color: #e2e4e7 !important;
    cursor: default;
    border-radius: 0;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.active a:hover {
    background: #f1f1f5 !important;
    color: #000 !important;
    border-color: #e2e4e7 !important;
    cursor: default;
    border-radius: 0;
}

.dataTables_wrapper .dataTables_processing {
    height: 60px;
}

.dataTables_info {
    color: #c1c4c6 !important;
}

.custom-toolbar .select2-container .select2-choice {
    background-color: #fff !important;
}


table.dataTable thead th:first-child, table.dataTable tbody td:first-child {
    padding-left: 15px !important;
}

table.dataTable.no-padding td {
    padding: 0 !important;
}

#message-table td:first-child {
    padding-left: 0 !important;
}

.no-thead thead {
    display: none;
}

td .progress {
    box-shadow: none !important;
    height: 8px;
    margin: 10px 10px 10px 10px;
}

td:hover .progress:not(.not-hover) {
    background-color: #fff;
}

.dataTable .badge {
    display: inline-block;
    padding: 4px 5px;
    margin-bottom: 2px;
}

table.header-style {
    width: 100%;
}

.filter-multi-select.open, .filter-multi-select:focus, .filter-multi-select:active {
    border-color: #f2f4f6 !important;
}

.dropdown-toggle {
    border-color: #f2f4f6 !important;
}

.custom-toolbar .dropdown-toggle {
    background-color: #fff !important;
}

.filter-multi-select .dropdown-menu {
    padding: 4px;
}

.filter-multi-select .list-group-item {
    padding: 6px 10px;
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    border-bottom: 2px solid #fff !important;
}

.filter-multi-select .list-group-item:not(.active):hover {
    background-color: #f2f2f2;
}

.filter-multi-select .caret:after {
    color: #888888;
}

.dt-print-view {
    overflow: auto !important;
    height: auto !important;
    background-color: #fff !important;
}

.dt-print-view h1 {
    text-align: center;
}

/*table*/
.table-responsive {
    width: 100%;
    max-width: 100%;
    border: none !important;
    overflow-x: unset !important;
}

td.option a, .action-option {
    cursor: pointer;
    min-width: 28px;
    background: #fff;
    color: #a1a3a5;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    text-align: center;
    margin: 0 5px;
    padding: 2px 0 2.5px 0;
    border: 1px solid #e2e7f1;
    font-size: 14px;
}

.dtr-details {
    width: 100%;
}

.dtr-details li.text-right, .dtr-details li.text-left, .dtr-details li.text-center {
    text-align: left !important;
}

.dtr-details .edit:not(.dropdown-item), .dtr-details .delete:not(.dropdown-item) {
    cursor: pointer;
    min-width: 28px;
    background: #fff;
    color: #a1a3a5;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    vertical-align: central;
    text-align: center;
    margin: 0 5px;
    padding: 3px 0px;
    border: 1px solid #e2e7f1;
}

.dtr-details .edit:not(.dropdown-item):hover, .dtr-details .delete:not(.dropdown-item):hover {
    background: #0ABB87;
    color: #fff;
    border: 1px solid #0ABB87;
}

.dtr-details .delete:not(.dropdown-item):hover {
    background: #FD397A;
    color: #fff;
    border: 1px solid #FD397A;
}

.select-member-field a.delete,
.send-invitation-form .delete,
.edit-image-file .delete-saved-file,
.external-tickets-embedded-code,
.conversion-rate-form .delete {
    cursor: pointer;
    min-width: 27px;
    background: #fff;
    color: #a1a3a5;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    vertical-align: central;
    text-align: center;
    margin: 0 5px;
    padding: 3px 0px;
    border: 1px solid #e2e7f1;
}

tr.child ul.dtr-details > li {
    display: table;
    width: 100%;
}

.dtr-title {
    display: table-cell;
    padding: 0.5em 0;
}

.dtr-data {
    display: table-cell;
    text-align: right;
    padding: 0.5em 0;
}

td.option a:hover, .external-tickets-embedded-code:hover, .action-option:hover {
    background: #0ABB87;
    color: #fff;
    border: 1px solid #0ABB87;
}

td.dropdown-option button {
    cursor: pointer;
    min-width: 28px;
    background: #fff;
    color: #a1a3a5;
    display: inline-block;
    position: relative;
    vertical-align: central;
    text-align: center;
    border: 1px solid #e2e7f1;
    transition: 0.2s;
    padding: 5px 9px;
}
td.dropdown-option button:hover {
    background: #2ac2d4;
    color: #fff;
    border: 1px solid #2ac2d4;
}

td.option a.delete:hover {
    background: #FD397A;
    color: #fff;
    border: 1px solid #FD397A;
}

.select-member-field a.delete:hover, .send-invitation-form .delete:hover, .calendar-ids-form .delete-post-dropzone:hover, .edit-image-file .delete-saved-file:hover, .conversion-rate-form .delete:hover {
    background: #FD397A;
    color: #fff;
    border: 1px solid #FD397A;
}

.table-responsive th:first-child, .table-responsive td:first-child {
    border-left: none !important;
}

.table-responsive th:last-child, .table-responsive td:last-child {
    border-right: none !important;
}

.table-bordered > tbody > tr > td, .table-bordered > tbody > tr > th, .table-bordered > tfoot > tr > td, .table-bordered > tfoot > tr > th, .table-bordered > thead > tr > td, .table-bordered > thead > tr > th {
    border: 1px solid #EEF1F9;
}

.table.dataTable > thead:first-child > tr:first-child > th:first-child {
    border-left: 1px;
    border-color: rgba(226, 232, 240, .7);
    border-style: solid;
}

.table.dataTable > thead:first-child > tr:first-child > th, table.dataTable thead > tr > th {
    border-color: rgba(226, 232, 240, .7);
    border-top: 1px rgba(226, 232, 240, .7);
    border-style: solid;
}

.table.dataTable > thead:first-child > tr:first-child > th:last-child {
    border-right: 1px;
    border-color: rgba(226, 232, 240, .7);
    border-style: solid;
}

table.dataTable thead > tr > th {

    background-color: rgb(248 250 252/1);
    color: rgb(71 85 105/1);
    white-space: nowrap;
}

.icon {
    width: 20px;
    height: 20px;
}

.icon-14 {
    width: 14px;
    height: 14px;
}

.icon-16 {
    width: 16px;
    height: 16px;
}


/*alert*/
.alert {
    border: 0;
}

.alert .progress {
    background-color: transparent;
    box-shadow: none !important;
    height: 3px;
    border-radius: 0;
    margin: 19px 0px -15px -13px;
}

.alert .progress-bar {
    box-shadow: none !important;
    background-color: rgba(0, 0, 0, 0.3);
}

.app-alert-message {
    display: inline-block;
    margin-right: 5px;
    max-width: 350px;
    min-width: 165px;
}

.app-alert.animate {
    bottom: 0;
    position: fixed;
    z-index: 100;
    border-radius: 2px;
    box-shadow: 0 2px 1px rgba(0, 0, 0, 0.1);
    opacity: 0.25;
    right: -350px;
}

.app-alert {
    border-width: 3px 0 0;
    box-shadow: 0 0 0 1px rgba(20, 20, 31, .05), 0 1px 3px 0 rgba(20, 20, 31, .15);
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.app-alert.alert-info {
    color: #046992;
    background-color: #f5fafc;
    border-color: #0179a8
}

.app-alert.alert-success {
    color: #038b79;
    background-color: #f5fbfa;
    border-color: #00a28a;
}

.app-alert.alert-danger {
    color: #9d5d8e;
    background-color: #fcf9fb;
    border-color: #b76ba3;
}

.app-alert.alert-warning {
    color: #d3a860;
    background-color: #fffdf9;
    border-color: #f7c46c;
}

.app-alert a {
    color: #444;
}

/*progress-bar*/
.progress.thin {
    height: 3px;
}

.alert-warning {
    background-color: #fff2cc;
}

.clearfix:before, .clearfix:after {
    display: table;
    content: " ";
}

.clearfix:after {
    clear: both;
}

.box {
    display: table;
    table-layout: fixed;
    border-spacing: 0;
    width: 100%;
}

.box-content {
    display: table-cell;
    vertical-align: top;
    height: 100%;
    float: none;
    overflow-x: hidden;
}

.box.fit .box-content {
    width: 100%;
}

.clickable {
    cursor: pointer;
}

.not-clickable {
    cursor: default !important;
}

.edit-image-file {
    height: 150px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 5px;
}

.edit-image-file .delete-saved-file {
    top: 7px;
    left: 80px;
    min-width: 25px;
    padding: 3px 4px;
    display: unset;
}


.popover {
    font-size: 13.5px;
}

.popover-content {
    padding: 15px;
}

.app-popover {
    position: absolute;
    background: white;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0.3rem;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    z-index: 9999;
    min-width: 180px;
}

.app-popover .confirmation-title {
    padding: 10px 15px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.app-popover .app-popover-body {
    padding: 15px;
}

.app-popover .app-popover-arrow {
    top: -6px;
    border-color: transparent;
    transform: rotate(225deg);
    border: solid transparent;
    height: 12px;
    width: 12px;
    position: absolute;
    pointer-events: none;
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-top-color: transparent;
    border-left-color: transparent;
    left: 10px;
}

.app-popover .app-popover-arrow.bottom-arrow {
    bottom: -6px;
    top: unset;
    transform: rotate(45deg);
}


#upload-file-box,
.upload-file-box {
    background-color: white;
    border: 1px dashed #93c5fd;
    border-radius: 6px;
    padding: 30px;
    text-align: center;
    margin-bottom: 15px;
    cursor: pointer;
}

#upload-file-box:hover,
.upload-file-box:hover {
    background-color: #f0f9ff;
}


.sortable-file-row {
    display: inline-flex;
}

.sortable-file-row .sortable-file {
    height: auto;
    width: 150px;
    border-radius: 5px;
}
.inline-block {
    display: inline-block;
}



/*dropdown-menu*/
.dropdown-menu {
    border: none;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    min-width: 12rem;
    margin-top: 7px;
}
.dropdown-menu .list-group-item:not(.inline-loader) {
    border: none !important;
    padding: 10px 15px;
}
.dropdown-menu #my-open-timers-container .list-group-item {
    border: 1px solid rgba(127, 127, 127, 0.2) !important;
}
.dropdown .dropdown-toggle:not(.caret):after {
    display: none;
}
.dropdown-item {
    padding: 0.3rem 1rem;
    color: #4e5e6a;
}
.dropdown-item:active, .dropdown-item:hover, .dropdown-item:focus {
    color: #595959;
    background-color: #F8F9FA;
}
.dropdown-user .dropdown-menu {
    margin-right: 15px;
}

.font-size-14{
    font-size: 14px;
}
.font-size-16{
    font-size: 16px;
}
.font-size-18{
    font-size: 18px;
}

.box-daterangepicker {
    position: relative;
    height: 30px;
    line-height: 29px;
    border-radius: 4px;
    border: 1px solid transparent;
    font-size: 13px;
    color: #363642;
    background: linear-gradient(180deg, #fff, #f6f7f9);
    border-color: #d7dce5;
    box-shadow: 0 1px 0 0 rgb(20 20 31/5%);
    padding-left: 30px;
    padding-right: 15px;

}

.box-daterangepicker:before {
    content: "\f073";
    font-family: FontAwesome;
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit;
    color: #afafb0;
    font-size: 13px;
    position: absolute;
    top: 0px;
    left: 10px;
}
